### Method

# Clutter ColorState do_transform

#### Declaration [src]

    void
    clutter_color_state_do_transform (
      ClutterColorState* color_state,
      ClutterColorState* target_color_state,
      float* data,
      int n_samples
    )

#### Description [src]

Applies the transform to the given `ClutterColorState`.

#### Parameters

`target_color_state`

  Type: `ClutterColorState`

  The target a `ClutterColorState`.

  The data is owned by the caller of the method.

`data`

  Type: An array of `float`

  The transform data.

  The data is owned by the caller of the method.

`n_samples`

  Type: `int`

  The number of data samples.